Package picard.vcf

## Class VcfToIntervalList

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.vcf.VcfToIntervalList

-     @DocumentedFeature
      public class VcfToIntervalList
      extends CommandLineProgram

  Converts a VCF or BCF file to a Picard Interval List.

  This tool creates a Picard Interval List from a VCF or BCF. It is important that the file extension is included as the file format is determined by the file extension. Variants that were filtered can be included in the output interval list by setting INCLUDE_FILTERED to true.

  ### Inputs

  - A BCF or VCF input file
  - Boolean if variants that were filtered should be included in the output interval list

  ### Output

  A Picard Interval List

  #### Usage example:

           java -jar picard.jar VcfToIntervalList \
                I=input_variants.vcf \
                O=output.interval_list

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `INCLUDE_FILTERED` |
    `static String` | `INCLUDE_FILTERED_SHORT_NAME` |
    `File` | `INPUT` |
    `static htsjdk.samtools.util.Log` | `LOG` |
    `File` | `OUTPUT` |

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VcfToIntervalList()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected int` | `doWork()` | Do the work after command line has been parsed.
    `static void` | `main​(String[] argv)` |

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getFaqLink, getMetricsFile, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INCLUDE_FILTERED_SHORT_NAME

          public static final String INCLUDE_FILTERED_SHORT_NAME

      See Also:
        Constant Field Values

    - #### LOG

          public static final htsjdk.samtools.util.Log LOG

    - #### INPUT

          @Argument(doc="The BCF or VCF input file. The file format is determined by file extension.",
                    shortName="I")
          public File INPUT

    - #### OUTPUT

          @Argument(shortName="O",
                    doc="The output Picard Interval List.")
          public File OUTPUT

    - #### INCLUDE_FILTERED

          @Argument(shortName="IF",
                    doc="Include variants that were filtered in the output interval list.",
                    optional=true)
          public boolean INCLUDE_FILTERED

  - ### Constructor Detail

    - #### VcfToIntervalList

          public VcfToIntervalList()

  - ### Method Detail

    - #### main

          public static void main​(String[] argv)

    - #### doWork

          protected int doWork()

      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.